質問編集履歴

1 python2.7→3.5.3に修正

KOKSAmati

KOKSAmati score 9

2019/02/28 15:56  投稿

Raspberry Piに移植したらモジュールのインストールエラーが出た
### 前提・実現したいこと
PCで作成したPythonプログラムをRaspberry Piで動かしたいのですが、モジュールのインポートエラーが出ます。インストールはできているようなのですが…
### 発生している問題・エラーメッセージ
```
Traceback (most recent call last):
 File "/home/pi/test.py", line 5, in <module>
   from PIL import Image, ImageTk
ImportError: cannot import name 'ImageTk'
```
### 該当のソースコード
```python
# coding: utf-8
# -*- coding: utf-8 -*-
import tkinter as tk
from PIL import Image, ImageTk
import re
```
### 試したこと
```
pi@raspberrypi:~ $ sudo apt-get install python3-tk
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
python3-tk はすでに最新バージョン (3.5.3-1) です。
アップグレード: 0 個、新規インストール: 0 個、削除: 0 個、保留: 0 個。
```
### 補足情報(FW/ツールのバージョンなど)
Raspberry Pi3
Python 2.7.13
Python 3.5.3
  • Raspberry Pi

    1480 questions

    Raspberry Piは、ラズベリーパイ財団が開発した、名刺サイズのLinuxコンピュータです。 学校で基本的なコンピュータ科学の教育を促進することを意図しています。

  • Python 2.7

    1691 questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

  • Python 3.x

    14231 questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る